Ubuntu

Build sqlite3 with fts3 fulltext search

Reported by Peter Hoffmann on 2008-05-10
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firefox-3.0 (Ubuntu)
High
Unassigned
Karmic
High
Unassigned
firefox-3.5 (Ubuntu)
High
Alexander Sack
Karmic
High
Alexander Sack
sqlite3 (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned

Bug Description

Binary package hint: sqlite3

Since Version 3.5.3 the official sqlite binaries include the fts3 full text search extension module (http://sqlite.org/news.html).

fts3 can be enabled with the following switches right after the OMIT_EXTENSION switch

TCC += -DSQLITE_CORE=1
TCC += -DSQLITE_ENABLE_FTS3=1

It would be great if ubuntu can ship with enabled fts3 too.

Micah Gersten (micahg) on 2009-10-22
affects: firefox → null
Changed in firefox-3.5 (Ubuntu):
assignee: nobody → Alexander Sack (asac)
importance: Undecided → High
status: New → Triaged
Micah Gersten (micahg) wrote :

From IRC:
(08:56:34 PM) [reed]: well, the fix will be not to compile with system sqlite
(08:56:40 PM) [reed]: if you can't fix the sqlite3 package
(08:56:47 PM) micahg: how big of an impact is it for ff3.5?
(08:56:56 PM) [reed]: it's big for Firefox 3+
(08:56:59 PM) [reed]: not just 3.5
(08:57:23 PM) [reed]: this has probably been causing problems for you for a while
(08:57:31 PM) micahg: what are the symptoms?
(08:58:24 PM) [reed]: awesome bar fail, private browsing not deleting everything, etc.

Changed in firefox-3.0 (Ubuntu):
importance: Undecided → High
status: New → Triaged
Reed Loden (reed) wrote :

Hmm, how does this differ from #214938?

At least on jaunty, sqlite3's debian/rules has:
DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1

-DSQLITE_ENABLE_FTS3 should really be -DSQLITE_ENABLE_FTS3=1 and -DSQLITE_CORE=1 should be listed, too, but I think it'll still work with just -DSQLITE_ENABLE_FTS3 as it is currently. so, this bug may already be fixed, which would be awesome. Need to confirm that, though, and really should be using -DSQLITE_CORE=1 -DSQLITE_ENABLE_FTS3=1 for flags.

On Thu, Oct 22, 2009 at 05:08:22AM -0000, Reed Loden wrote:
> Hmm, how does this differ from #214938?
>
> At least on jaunty, sqlite3's debian/rules has:
> DEB_OPT_FLAG := -O2 -fno-strict-aliasing -DSQLITE_ENABLE_COLUMN_METADATA -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1
>
> -DSQLITE_ENABLE_FTS3 should really be -DSQLITE_ENABLE_FTS3=1 and

yes. without =1 usually has the same result for most build systems
... so we need to check hardy and intrepid still afaict.

 - Alexander

Reed Loden (reed) wrote :

Still think you should probably add -DSQLITE_CORE=1 just in case.

Alexander Sack (asac) on 2009-10-26
Changed in firefox-3.5 (Ubuntu Karmic):
milestone: none → karmic-updates
Changed in sqlite3 (Ubuntu Karmic):
milestone: none → karmic-updates
Changed in firefox-3.5 (Ubuntu Karmic):
milestone: karmic-updates → none
Changed in sqlite3 (Ubuntu Karmic):
assignee: nobody → Alexander Sack (asac)
Changed in firefox-3.5 (Ubuntu Karmic):
status: Triaged → Invalid
Changed in firefox-3.0 (Ubuntu Karmic):
status: Triaged → Invalid
Changed in sqlite3 (Ubuntu Karmic):
status: New → In Progress
importance: Undecided → High
importance: High → Medium
Alexander Sack (asac) wrote :

karmic fix uploaded to https://edge.launchpad.net/~ubuntu-mozilla-security/+archive/ppa

Uploading to ppa-ums-karmic (via ftp to ppa.launchpad.net):
  Uploading sqlite3_3.6.16-1ubuntu1.9.10.1.dsc: done.
  Uploading sqlite3_3.6.16-1ubuntu1.9.10.1.diff.gz: done.
  Uploading sqlite3_3.6.16-1ubuntu1.9.10.1_source.changes: done.
Successfully uploaded packages.

Changed in sqlite3 (Ubuntu Karmic):
assignee: Alexander Sack (asac) → nobody
status: In Progress → Fix Committed
Alexander Sack (asac) wrote :

hardy only has FTS2 ... what flags are you using for ffox 3.0 ... which is probably what we should try to match here.

Reed Loden (reed) wrote :

For Firefox 3, the following flags are used (as per http://mxr.mozilla.org/mozilla/source/db/sqlite3/src/Makefile.in):

-DSQLITE_SECURE_DELETE=1
-DTHREADSAFE=1 (handled by --enable-threadsafe configure flag)
-DSQLITE_CORE=1
-DSQLITE_ENABLE_FTS3=1

Michael Nagel (nailor) wrote :

closing task on NULL project

Changed in null:
status: New → Invalid
Steve Langasek (vorlon) wrote :

If this was 'fix committed' in 2009, the fix is surely released by now. If this is still an issue for anyone in natty, please reopen.

Changed in sqlite3 (Ubuntu):
status: Fix Committed → Fix Released
Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
JC Hulce (soaringsky) wrote :

Is assumed to be fix released based on previous comments. This bug no longer seems to affect anyone.

Changed in sqlite3 (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers